### Signal

# GUPnP Service::notify-failed

#### Declaration

    void
    notify_failed (
      GUPnPService* self,
      gpointer callback_url,
      GError* reason,
      gpointer user_data
    )

#### Description [src]

Emitted whenever notification of a client fails.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`callback_url`

  Type: A list of `GUri*`

  A `GList` of callback URLs.

`reason`

  Type: `GError`

  A pointer to a `GError` describing why the notify failed.

  The data is owned by the caller of the function.